Subject: Re: bug#11127: 24.0.94; [PATCH] Tutorial breaks with modified key bindings

From: "Aaron S. Hawley" <[email-masked]>
Date: Mon, 2 Apr 2012 09:28:36 -0400

On 3/31/12, Glenn Morris <[email-masked]> wrote:
> "Aaron S. Hawley" wrote:
>
>> +	      (let ((default-directory "")
>> +		    (enable-local-variables :safe))
>
> I'd rather have an explicit enable-dir-local-variables variable.

I agree.

> Also, I think there should probably some way in a dir-locals file to say
> "these settings should only be applied to buffers with files".

I believe it is the case already that dir-locals only applies to
buffers associated with files.  It's only because tutorial.el calls
`hack-local-variables' that it applies here.